## binstats 1.00

=== Makefile ===
#
# Makefile for derefsymlink
#

# Edit the following to suit your system and type "make install"
CC= gcc
CFLAGS= -Wall -O6
LDFLAGS= -O6 -s
# If you want to install derefsymlink in some place other than
# /usr/local/bin then make sure PATH is set accordingly in binstats
DESTBIN= /usr/local/bin

derefsymlink: derefsymlink.o
	$(CC) -o $@ $(LDFLAGS) derefsymlink.o

install:: derefsymlink
	install -m 755 derefsymlink $(DESTBIN)

## binstats 1.08

=== Makefile ===
#          -*- sh -*-
# Makefile for derefsymlink compilation and installation
#

# Edit the following to suit your system and type "make install"
CC= gcc
CFLAGS= -Wall -O6
LDFLAGS= -s

# This sets the prefix for the executable and manual page directories
# during installation
PREFIX= /usr/local
# If you want to install derefsymlink in some place other than
# /usr/local/bin then make sure PATH is set accordingly in binstats
DESTBIN= $(PREFIX)/bin
DESTMAN= $(PREFIX)/man/man1

derefsymlink: derefsymlink.o
	$(CC) -o $@ $(CFLAGS) $(LDFLAGS) derefsymlink.o

install:: derefsymlink
	install -m 755 derefsymlink $(DESTBIN)
	install -m 755 binstats $(DESTBIN)
	install -m 644 binstats.1 derefsymlink.1 $(DESTMAN)

clean:
	rm -f derefsymlink derefsymlink.o

=== debian/changelog ===
binstats (1.08-9.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007548)

 -- Bastian Germann <bage@debian.org>  Sun, 18 Feb 2024 16:19:50 +0000

binstats (1.08-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to short dh rules. Closes: #999022.

 -- Stephen Kitt <skitt@debian.org>  Tue, 14 Dec 2021 08:56:38 +0100

binstats (1.08-9) unstable; urgency=low

  * Acknowledge NMU
  * debian/control:
      - Depend on bsdutils instead of bsdmainutils. Actually, remove
        it completely as it is an essential package anyway (Closes: #964530)
      - Add misc:Depends (lintian fix)
      - Move to non-deprecated debhelper version
      - Updated to latest standards version (no real changes)
      - Declare Rules-Requires-Root: no
      - Add Homepage (still working after ~20 years!)
  * binstats:
     - Remove useless comparison when adding MANPATH (Closes: #920852)
     - Check if the files exist before proceeding in the script. Otherwise, if
       the user sends a SIGINT (Cltr+C) to the program, tasks will be
       cancelled and output is missing for the next tasks.
       This also ensures that if SIGINT is sent this is handled right away.
       (Closes: #693840)
     - Since ld.so.conf can now include other files, go through these includes
       and add the library directories that are included in there too
  * debian/rules: Move to debhelper standard setup (fixes many lintian
  * warnings)
  * debian/compat: Move to compatibility level 13
  * debian/source/format: Declare the format used (1.0)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 31 Jan 2021 18:29:29 +0100

binstats (1.08-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Minimal upgrade to debhelper 9. Closes: #800294.

 -- Stephen Kitt <skitt@debian.org>  Fri, 15 Jan 2016 09:09:22 +0100

binstats (1.08-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use "find -perm /x" instead of "find -perm +x". Closes: #808929

 -- Andreas Metzler <ametzler@debian.org>  Fri, 25 Dec 2015 14:32:38 +0100

binstats (1.08-8) unstable; urgency=high

  * Fixed call to mktemp (Closes: #303261)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  5 Apr 2005 20:08:26 +0200

binstats (1.08-7) unstable; urgency=low

  * Adopting this package, as makejail Depends: on it (Closes: #292019)
  * Updated Standard-Versions:
    * Adjusted CFLAGS and LDFLAGS in debian/rules just in case
      the binaries are built again
    * Fixed binary-arch for the same reason, althoug the package remains
      Arch: all
  * Quote readlink calls (Closes: #218647)
  * Add the package to the unused library list (Closes: #146465)
  * Add a check to review which of the packages holding unused libraries
    are not used at all.
  * Redirect error output of the find call to /dev/null (in case it
    finds dangling symlinks)
  * Use mktemp instead of mkdir to prevent a race condition
  * Change the script so BSLOG and BSLOGTMP are created before they are
    used, this does not prevent some race conditions so don't run
    this script in untrusted directories.
  * Remove debugging output in Makefile, if present

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 26 Feb 2005 23:25:48 +0100

binstats (1.08-6) unstable; urgency=low

  * Orphaning.

 -- Angel Ramos <seamus@debian.org>  Mon, 24 Jan 2005 17:10:00 +0100

binstats (1.08-5) unstable; urgency=low

  * Fixed failures to find static linked executables (Closes: #124320).
  * Fixed outputs error message for non-existence man directory
    (Closes: #124323).
    Thanks to Yamashita for patches :)

 -- Angel Ramos <seamus@debian.org>  Tue, 8 Jan 2002 17:17:00 +0100

binstats (1.08-4) unstable; urgency=low

  * Fixed unnecessary error messages display bug (Closes: #117928).

 -- Angel Ramos <seamus@debian.org>  Thu, 22 Nov 2001 10:57:21 +0100

binstats (1.08-3) unstable; urgency=low

  * New maintainer (Closes: #108347).

 -- Angel Ramos <seamus@debian.org>  Fri, 21 Sep 2001 15:09:31 +0100

binstats (1.08-2) unstable; urgency=low

  * Orphaning.
  * Moved to debhelper 3.
  * Conforms to Standards version 3.5.4.

 -- Matej Vela <vela@debian.org>  Wed,  2 May 2001 08:26:01 +0200

binstats (1.08-1) unstable; urgency=low

  * New upstream version.

 -- Matej Vela <vela@debian.org>  Thu, 18 Jan 2001 23:55:55 +0100

binstats (1.07-1) unstable; urgency=low

  * New upstream version.  Closes: Bug#57230.
  * Uses readlink(1) from debianutils instead of having its own
    derefsymlink(1).  This makes the package `Architecture: all'.
  * Uses mktemp(1) rather than tempfile(1) since the former is less
    Debian specific.
  * debian/copyright: Updated.
  * Conforms to Standards version 3.2.1.

 -- Matej Vela <vela@debian.org>  Mon, 18 Dec 2000 04:21:34 +0100

binstats (1.05-1) unstable; urgency=low

  * New upstream version.
  * Conforms to Standards version 3.1.1.

 -- Matej Vela <vela@debian.org>  Wed, 22 Dec 1999 15:24:06 +0100

binstats (1.04-1) unstable; urgency=low

  * New upstream version.

 -- Matej Vela <vela@debian.org>  Wed, 17 Nov 1999 07:04:23 +0100

binstats (1.03-1) unstable; urgency=low

  * New upstream version.  Closes: Bug#17881.
  * binstats: Separating manual page names with `,' instead of `:'
    since many of them contain `:' characters.
  * debian/control: Updated the description.  Added a dependancy on
    bsdmainutils since binstats needs col(1).
  * debian/copyright: Updated author's e-mail and the wording of the
    license.

 -- Matej Vela <vela@debian.org>  Sat, 13 Nov 1999 19:42:57 +0100

binstats (1.01-3) unstable; urgency=low

  * New maintainer.
  * binstats:
    * Using the value of $TMPDIR if set.
    * Securely creating temporary files with tempfile(1).
    * Applied patch from Laurent Bonnaud <Laurent.Bonnaud@inpg.fr>
      correcting shared library filename patterns.  Closes: Bug#46765.
    * Added `-follow' to the invocation of find so that all programs


=== debian/control ===
Source: binstats
Section: utils
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Standards-Version: 4.5.0
Build-Depends: debhelper (>= 13)
Rules-Requires-Root: no
Homepage: http://www.nottingham.ac.uk/~etzpc/binstats.html

Package: binstats
Architecture: all
Depends: debianutils (>= 1.13.1), file, ${misc:Depends}
Description: Statistics tool for installed programs
 A utility to aid the tidying up of binaries, interpreted scripts, and
 dynamic libraries.  It can find the number and identity of a.out and
 ELF binaries, plus their debugging symbols status, setuid status, and
 dynamic library dependence.  It can count the number of Java bytecode
 programs, tally up the main types of scripts, and look for unidentified
 executable text files.
 .
 Also it is able to find any duplicated executable names, unused
 libraries, binaries with missing libraries, statically linked binaries,
 and duplicated manual page names.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

# We only ship the shell script, there's nothing to build
override_dh_auto_build:

# Everything is installed through debhelper
override_dh_auto_install:
